Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha.jmx
Class ClusterJmxHelper

    java.lang.Object
      org.apache.catalina.ha.jmx.ClusterJmxHelper

    public class ClusterJmxHelper

extends Object

Author:
  Filip Hanik

Field Summary
`protected static boolean` | `jmxEnabled`
`protected static MBeanServer` | `mbeanServer`
`protected static Registry` | `registry`

Constructor Summary
`ClusterJmxHelper()`

Method Summary
`static DynamicMBean` | `getManagedBean(Object object)`
`static MBeanServer` | `getMBeanServer()`
`static Registry` | `getRegistry()`
`protected static void` | `initDefaultCluster()`
`protected static boolean` | `initMetaData(Class<?> clazz)`
`static boolean` | `registerDefaultCluster(SimpleTcpCluster cluster)`
`static boolean` | `unregisterDefaultCluster(SimpleTcpCluster cluster)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registry

    protected static Registry registry

### jmxEnabled

    protected static boolean jmxEnabled

### mbeanServer

    protected static MBeanServer mbeanServer

Constructor Detail

### ClusterJmxHelper

    public ClusterJmxHelper()

Method Detail

### getRegistry

    public static Registry getRegistry()

### getMBeanServer

    public static MBeanServer getMBeanServer()
                                      throws Exception

  Throws:
    `Exception`

### initMetaData

    protected static boolean initMetaData(Class<?> clazz)

### getManagedBean

    public static DynamicMBean getManagedBean(Object object)
                                       throws Exception

  Throws:
    `Exception`

### initDefaultCluster

    protected static void initDefaultCluster()

### registerDefaultCluster

    public static boolean registerDefaultCluster(SimpleTcpCluster cluster)

### unregisterDefaultCluster

    public static boolean unregisterDefaultCluster(SimpleTcpCluster cluster)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.